--- src/corelib/kernel/qcore_mac.mm.orig
+++ src/corelib/kernel/qcore_mac.mm
@@ -263,16 +263,20 @@
 
 #ifdef QT_DEBUG
     void *poolFrame = nullptr;
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 101400
     if (__builtin_available(macOS 10.14, iOS 12.0, tvOS 12.0, watchOS 5.0, *)) {
         void *frame;
         if (backtrace_from_fp(__builtin_frame_address(0), &frame, 1))
             poolFrame = frame;
     } else {
+#endif
         static const int maxFrames = 3;
         void *callstack[maxFrames];
         if (backtrace(callstack, maxFrames) == maxFrames)
             poolFrame = callstack[maxFrames - 1];
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 101400
     }
+#endif
 
     if (poolFrame) {
         Dl_info info;
